com.singularsys.jep.configurableparser

## Enum ShuntingYard.PrefixRes

- java.lang.Object
- - java.lang.Enum<ShuntingYard.PrefixRes>
  - - com.singularsys.jep.configurableparser.ShuntingYard.PrefixRes

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ShuntingYard.PrefixRes>
  Enclosing class:
    ShuntingYard

      protected static enum ShuntingYard.PrefixRes
      extends java.lang.Enum<ShuntingYard.PrefixRes>

  Return result of following methods.
  Since:
    3.5

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EMPTY` End of input
    `OK` Successful parse
    `UNEXPECTED` Input failed to match

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ShuntingYard.PrefixRes` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ShuntingYard.PrefixRes[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OK

          public static final ShuntingYard.PrefixRes OK

      Successful parse

    - #### EMPTY

          public static final ShuntingYard.PrefixRes EMPTY

      End of input

    - #### UNEXPECTED

          public static final ShuntingYard.PrefixRes UNEXPECTED

      Input failed to match

  - ### Method Detail

    - #### values

          public static ShuntingYard.PrefixRes[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ShuntingYard.PrefixRes c : ShuntingYard.PrefixRes.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ShuntingYard.PrefixRes valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2018 Singular Systems http://www.singularsys.com/jep